Skip to main content
`Ctrl`+`K`

# skbio.workflow.method

class skbio.workflow.method(priority=0)

  Decorate a function to indicate it is a workflow method.

  Parameters:
    priority int

      Specify a priority for the method, the higher the value the higher the priority. Priorities are relative to a given workflow

  Attributes

  `highest_priority` |

  Special methods

  `__call__`(func) | Decorate function with specified priority.

  Special methods (inherited)

  `__eq__`(value, /) | Return self==value.
  `__ge__`(value, /) | Return self>=value.
  `__getstate__`(/) | Helper for pickle.
  `__gt__`(value, /) | Return self>value.
  `__hash__`(/) | Return hash(self).
  `__le__`(value, /) | Return self<=value.
  `__lt__`(value, /) | Return self<value.
  `__ne__`(value, /) | Return self!=value.
  `__str__`(/) | Return str(self).

  Details

  highest_priority = 9223372036854775807
  __call__(func)

    Decorate function with specified priority.